Bug 156038 - editors/libreoffice failed installing when WRKDIRPREFIX is set
editors/libreoffice failed installing when WRKDIRPREFIX is set
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: office
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-29 14:20 UTC by buganini
Modified: 2011-09-05 12:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description buganini 2011-03-29 14:20:11 UTC
I have
WRKDIRPREFIX=/tmp/ports/
in my /etc/make.conf

and then:

 ccache:     no
 icecream:   no
 distcc:     no
Cleaning up ...
Done   
Setup: 
 Source:     'libreoffice-3.3.2.2'
 Apply:      '/tmp/ports/usr/ports/editors/libreoffice/work/libreoffice-build-3.3.2.2/patches/dev300/apply'
 Flags:      ''
 Suffix:     ''
 Dir:        '/tmp/ports/usr/ports/editors/libreoffice/work/libreoffice-build-3.3.2.2/build'
 DestDir:    ''
 Path:       '/tmp/ports/usr/ports/editors/libreoffice/work/libreoffice-build-3.3.2.2/build/bin:/tmp/ports/usr/ports/editors/libreoffice/work/libreoffice-build-3.3.2.2
/build/bin:NO_JAVA_HOME/bin:/usr:.:/tmp/ports/usr/ports/editors/libreoffice/work/libreoffice-build-3.3.2.2/build/libreoffice/solenv/unxfbsdi/bin:/tmp/ports/usr/ports/e
ditors/libreoffice/work/libreoffice-build-3.3.2.2/build/libreoffice/solenv/bin:/tmp/ports/usr/ports/editors/libreoffice/work/libreoffice-build-3.3.2.2/build/bin:/bin:/
usr/bin:/sbin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/tmp/ports/usr/ports/editors/libreoffice/work/libreoffice-build-3.3.2.2/bin:/tmp/ports/usr/ports/editors/libreof
fice/work/libreoffice-build-3.3.2.2/bin:/tmp/ports/usr/ports/editors/libreoffice/work/libreoffice-build-3.3.2.2/bin'
 Prefix:     '/tmp/ports//usr/ports/editors/libreoffice/work/loinstall/usr/local'
 Mandir:     '/tmp/ports//usr/ports/editors/libreoffice/work/loinstall/usr/local/man'
 Docdir:     '/tmp/ports//usr/ports/editors/libreoffice/work/loinstall/usr/local/share/doc/libreoffice'
 Sysconf:    '/tmp/ports//usr/ports/editors/libreoffice/work/loinstall/usr/local/etc'
 OOInBase:   '/usr/local/lib/libreoffice'
 OOInstall:  '/tmp/ports//usr/ports/editors/libreoffice/work/loinstall/usr/local/lib/libreoffice'
 OODestDir:  '/tmp/ports//usr/ports/editors/libreoffice/work/loinstall'
Config:     --disable-binfilter --disable-crashdump --with-lang="en-US" --disable-fetch-external --with-vba-package-format=builtin --disable-epm --with-openldap --wit
h-build-version="tag libreoffice-3.3.2.2" --without-fonts --with-system-jpeg --with-system-libxml --with-system-mozilla --with-system-openssl --with-system-python --wi
th-system-stdlibs --with-system-zlib --with-system-poppler --with-unix-wrapper=ooffice --enable-evolution2 --enable-dbus --with-alloc=system --enable-cairo=yes --enabl
e-gtk --disable-kde --disable-kde4 --with-vendor="The Document Foundation" --disable-dbus --enable-kde4 --enable-cairo --without-system-cairo --enable-gstreamer --enab
le-odk --disable-binfilter --enable-gnome-vfs --enable-hids --enable-lockdown --enable-opengl --with-java-target-version=1.5 --with-jdk-home=$JAVA_HOME --without-myspe
ll-dicts --disable-kde --without-system-mozilla --without-system-jpeg --without-system-libxml --without-system-libxslt --with-system-python --without-system-zlib --wit
hout-system-jars --without-system-stdlibs --disable-crypt-link --disable-pam-link --disable-xrender-link --disable-randr-link --without-openldap --without-system-mesa-
headers --without-unix-wrapper --with-fonts --enable-minimizer --enable-presenter-console --enable-pdfimport --without-system-poppler --enable-wiki-publisher --enable-
report-builder --with-extension-integration --with-ant-home=$BUILDDIR/$APACHE_ANT --with-system-dicts --with-external-dict-dir=/usr/share/hunspell --with-external-hyph
-dir=/usr/share/hyphen --with-external-thes-dir=/usr/share/mythes --with-dict=ALL --without-system-openssl --disable-epm --enable-broffice   '--without-download' '--with-binsuffix=no' '--with-dict=en-US' '--with-myspell-dicts' '--with-lang=en-US' '--disable-odk' '--with-build-version=FreeBSD ports r3.3.2' '--with-vendor=FreeBSD ports r3.3.2' '--exec-prefix=/usr/local' '--with-num-cpus=' '--with-installed-ooo-dirname=libreoffice' '--without-git' '--with-ooo-builddir=/tmp/ports//usr/ports/editors/libreoffice/work/libreoffice-build-3.3.2.2/build/libreoffice' '--with-srcdir=/usr/ports/distfiles//libreoffice' '--with-external-tar=/usr/ports/distfiles//libreoffice' '--with-docdir=/usr/local/share/doc/libreoffice' '--with-gnu-patch=/usr/local/bin/gpatch' '--with-gnu-cp=/usr/local/bin/gcp' '--enable-openxml' '--with-system-libxml' '--with-system-cairo' '--enable-cairo' '--with-system-boost' '--with-system-cppunit' '--with-system-zlib' '--with-system-icu' '--with-system-python' '--with-
 system-db' '--with-system-jpeg' '--with-system-expat' '--with-system-openssl' '--with-system-curl' '--with-system-libwpd' '--with-system-libwpg' '--with-system-libwps' '--with-system-poppler' '--with-system-redland' '--with-system-hunspell' '--with-system-libtextcat' '--with-system-lpsolve' '--with-system-vigra' '--with-system-mdbtools' '--with-fonts' '--with-alloc=system' '--with-system-stdlibs' '--with-system-xrender-headers' '--with-system-mesa-headers' '--disable-epm' '--disable-hids' '--disable-post-install-scripts' '--disable-mozilla' '--disable-build-mozilla' '--disable-kde' '--without-stlport' '--disable-nss-module' '--without-system-mozilla' '--enable-ext-pdfimport' '--enable-ext-wiki-publisher' '--enable-ext-report-builder' '--disable-neon' '--enable-cups' '--disable-kde4' '--disable-gconf' '--disable-gnome-vfs' '--without-java' '--x-libraries=/usr/local/lib' '--x-includes=/usr/local/include' '--prefix=/usr/local' '--mandir=/usr/local/man' '--infodir=/usr/local/inf
 o/' '--build=i386-portbld-freebsd9.0' 'build_alias=i386-port!
 bld-freebsd9.0' 'CC=cc' 'CFLAGS=-O2 -pipe -I/usr/local/include -I/usr/local/include/db42 -L/usr/local/lib -fno-strict-aliasing' 'LDFLAGS= -rpath=/usr/lib:/usr/local/lib' 'CPPFLAGS=' 'CPP=cpp'
 ccache:     no
 icecream:   no
 distcc:     no
Moving package file lists...
Cleaning up lists of files...
Fixing permissions...
Checking for DESTDIR inside installed files...
Packaging succeeded
touch: /tmp/ports//usr/ports/editors/libreoffice/work/loinstall//usr/local/lib/libreoffice/share/uno_packages/cache/.keep: No such file or directory
*** Error code 1

Stop in /usr/ports/editors/libreoffice.

Fix: 

Unknown, I just remove WRKDIRPREFIX temporarily.
and by the way MAKE_JOB_SAFE is unsafe on my anoter (amd64) computer.
How-To-Repeat: mkdir /tmp/ports/
echo WRKDIRPREFIX=/tmp/ports/ >> /etc/make.conf
cd /usr/ports/editors/libreoffice
make install
Comment 1 Mark Linimon freebsd_committer 2011-03-30 08:12:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

Fix synopsis and assign.
Comment 2 Baptiste Daroussin freebsd_committer 2011-07-22 06:34:33 UTC
Responsible Changed
From-To: bapt->office

Over to the office team
Comment 3 dfilter freebsd_committer 2011-09-05 12:45:46 UTC
bapt        2011-09-05 11:45:31 UTC

  FreeBSD ports repository

  Modified files:
    editors/libreoffice  Makefile distinfo 
    editors/libreoffice/files 
                              patch-clone__filters__oox__source__token__makefile.mk 
                              patch-clone_ure_sal_inc_sal_main.h 
                              patch-configure.in 
                              patch-solenv__inc__unxfbsd.mk 
  Added files:
    editors/libreoffice/files 
                              patch-clone__components__automation__source__testtool__objtest.cxx 
                              patch-clone_libs-gui__tools__inc__solar.h 
                              patch-set_soenv_in 
  Removed files:
    editors/libreoffice/files patch-solenv__inc__unx.mk 
  Log:
  - update to 3.4.3
  - New options:
    * SYSTRAY to activate the system try icons (quick start)
    * GTK (which to be able to build a completly gtk free version of libreoffice please notice that dependencies can bring back gtk, for example libgsf if not built with the following knob: WITHOUT_GCONF)
    * the GNOME option automatically activate the GTK one
    * PYUNO do enable/disable the build of the python bindings for the UNO framework
  
  - Disable system notification while building
  - Remove the wiki-publisher extensions, it forces the build to have 3 apache-commons distfiles bundles and one of them the httpclient was failing with some locales activated
  - Use pax instead or tar cf | tar xf, it is way faster to install
  - Fix reading/writting MS Office documents
  - Fix random segfaults: cell rendering options in calc, languages setting in global options
  - Largely reduce built time
  - Unbundle more things
  - Be able to work with packaged hunspell, thesaurus and hyphenation as well as the usual extensions
  - Now cups is mandatory (configure script is bugguy without cups)
  - remove broken
  
  PR:             ports/157357 ports/156038 ports/158945 ports/159287 ports/160023
                  ports/160318
  Submitted by:   Hartmann, O. <ohartman@zedat.fu-berlin.de> (ports/157357),
                  Kuan-Chung Chiu <buganini@gmail.com> (ports/156038),
                  Dmitry Pryanishnikov <lynx.ripe@gmail.com> (ports/158945),
                  Adrien <pmn@bakarika.net> (ports/159287),
                  Travis Hunter <travis.hunter@gmail.com> (ports/160023),
                  gcooper@ (ports/160318)
  With hat:       office@
  
  Revision  Changes    Path
  1.25      +124 -64   ports/editors/libreoffice/Makefile
  1.7       +46 -50    ports/editors/libreoffice/distinfo
  1.1       +14 -0     ports/editors/libreoffice/files/patch-clone__components__automation__source__testtool__objtest.cxx (new)
  1.2       +3 -3      ports/editors/libreoffice/files/patch-clone__filters__oox__source__token__makefile.mk
  1.1       +15 -0     ports/editors/libreoffice/files/patch-clone_libs-gui__tools__inc__solar.h (new)
  1.2       +5 -5      ports/editors/libreoffice/files/patch-clone_ure_sal_inc_sal_main.h
  1.2       +79 -3     ports/editors/libreoffice/files/patch-configure.in
  1.1       +26 -0     ports/editors/libreoffice/files/patch-set_soenv_in (new)
  1.2       +0 -17     ports/editors/libreoffice/files/patch-solenv__inc__unx.mk (dead)
  1.2       +22 -18    ports/editors/libreoffice/files/patch-solenv__inc__unxfbsd.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Baptiste Daroussin freebsd_committer 2011-09-05 12:47:23 UTC
State Changed
From-To: open->closed

Should be fixed in libreoffice 3.4.3.